<html>
  <head>
    <base href="/" />
    <link
      href="https://fonts.googleapis.com/css?family=Roboto&display=swap"
      rel="stylesheet"
    />
    <link rel="stylesheet" type="text/css" href="styles/style.css" />
    <link rel="stylesheet" type="text/css" href="styles/disney-table.css" />
  </head>
  <body>
    <header>
      <a href="index.html" active>🏠 Index</a>
      <a href="grids.html">Grids</a>
      <a href="medias.html">Medias</a>
    </header>

    <h1>Exemple de "table"</h1>
    <script>
      const toggleSort = (name) => {
        // do something
        document.querySelector("#info").innerHTML = `clicked on '${name}'`;
      };
    </script>
    <div id="info"></div>
    <table id="disney">
      <caption>
        Liste de dessins animés Disney
      </caption>
      <thead>
        <tr>
          <th scope="col" onclick="toggleSort('titre')">Titre</th>
          <th scope="col" onclick="toggleSort('princesse')">
            Nom de la princesse
          </th>
          <th scope="col" onclick="toggleSort('ennemi')">
            Nom de l'ennemi juré
          </th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <th scope="row">La petite sirène</th>
          <td>Arielle</td>
          <td>Ursulla</td>
        </tr>
        <tr>
          <th scope="row">La reine des neiges</th>
          <td>Elsa</td>
          <td>Hans</td>
        </tr>
        <tr>
          <th scope="row">La Belle et la Bête</th>
          <td>Belle</td>
          <td>Gaston</td>
        </tr>
        <tr>
          <th scope="row">Rebelle</th>
          <td>Merida</td>
          <td>Mor'du</td>
        </tr>
        <tr>
          <th scope="row">Ralph brise l'internet</th>
          <td>Vanellope von Schweetz</td>
          <td>Virus</td>
        </tr>
      </tbody>
      <tfoot>
        <tr>
          <td colspan="3">
            Mon dessin-animé préféré est "<span class="titre"
              >La Belle et la Bête</span
            >"
          </td>
        </tr>
      </tfoot>
    </table>
  </body>
</html>
